package com.bernard.greposimu.model.game.queues;

import com.bernard.greposimu.model.game.Resources;
import com.bernard.greposimu.model.game.researches.Research;
import com.bernard.greposimu.model.runtime.Timestamp;

public class ResearchQueueItem extends QueueItem {
	
	// the building being built
	Research research;
	
	Timestamp beginTime;
	Timestamp endTime;
	
	Resources refund;

	public ResearchQueueItem(Research research, Timestamp beginTime, Timestamp endTime, Resources refund) {
		this.research = research;
		this.beginTime = beginTime;
		this.endTime = endTime;
		this.refund = refund;
	}

	public Research getResearch() {
		return research;
	}

	public Timestamp getBeginTime() {
		return beginTime;
	}

	public Timestamp getEndTime() {
		return endTime;
	}

	public Resources getRefund() {
		return refund;
	}
	
	
	
	
	
}
